#ifndef _DS1620_H
#define _DS1620_H


#include <avr/io.h>

#define DDR_DS1620		DDRB
#define PORT_DS1620		PORTB
#define PIN_DS1620		PINB
#define DQ_DS1620		PB0
#define CLK_DS1620		PB1
#define RES_DS1620		PB2

/*initialization --> data direction register*/
extern unsigned char ds1620_init (void);

extern unsigned char ds1620_get_temp (void);

/*the following functions are low level routines,
normally they should not be used directly*/

/*sends command to DS1620*/
void ds1620_cmd (unsigned char command);
/*sends byte to DS1620*/
void ds1620_put_byte (unsigned char byte);
/*reads byte from DS1620*/
unsigned char ds1620_get_byte (void);
/*write configuration-register*/
void ds1620_write_config (unsigned char byte);
/*read configuration-register*/
unsigned char ds1620_read_config (void);



#endif

